/*
 * @Author: Kane
 * @Date: 2023-02-13 23:08:34
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-16 22:43:22
 * @FilePath: /后端辅助工具/src/DataType/Function.ts
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
function f(x: number, y: number): number 
{
    return x + y;
}

f.version = "1.0.0";

const func: {
    (x: number, y: number): void,
    version: string,
} = f;

function func_this_void(this: void, arg1: number): number
{
    return arg1;
}

let constructor: {
    new(x: string, y: string): object;
};